Bug 1005745 - unison240 rpm misses dependencies
unison240 rpm misses dependencies
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: unison240 (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 06:30 EDT by raimund.huber
Modified: 2013-10-28 14:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: unison240-2.40.102-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 14:42:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description raimund.huber 2013-09-09 06:30:08 EDT
Description of problem:
unison fails to run because of missing dependencies

Version-Release number of selected component (if applicable):
el6 / unison240-2.40.102-3.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. use a basic system without gui installation
2. yum install unison240
3. unison

Actual results:
unison: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory


Expected results:
unison working

Additional info:

unison240 only has the following dependencies
/bin/sh
/usr/sbin/alternatives

while unison227 also had
libatk-1.0.so.0()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libcairo.so.2()(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libfontconfig.so.1()(64bit)
libfreetype.so.6()(64bit)
libgdk-x11-2.0.so.0()(64bit)
libgdk_pixbuf-2.0.so.0()(64bit)
libgio-2.0.so.0()(64bit)
libglib-2.0.so.0()(64bit)
libgmodule-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libgtk-x11-2.0.so.0()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpango-1.0.so.0()(64bit)
libpangocairo-1.0.so.0()(64bit)
libpangoft2-1.0.so.0()(64bit)
libutil.so.1()(64bit)
libutil.so.1(GLIBC_2.2.5)(64bit)
rtld(GNU_HASH)
xorg-x11-fonts-misc
Comment 1 Gregor Tätzner 2013-09-09 06:54:35 EDT
Can you run unison in text only mode? i.e.: 'unison-2.40 -ui text'

this issue should also apply to fedora versions.
Comment 2 raimund.huber 2013-09-09 07:01:57 EDT
same result

unison -ui text
unison: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
Comment 3 Gregor Tätzner 2013-09-09 13:45:29 EDT
allright, here is a new set of unison packages [1]

Can you give both versions (text only and gtk) a whirl and report your results, please.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=5914740
Comment 4 raimund.huber 2013-09-10 05:21:27 EDT
With unison240, unison240-text installed on the server i get a "Fatal error Lost connection with the server". Console shows "bash: unison: command not found"
-> reason is unison240-text does not define an unison alias for unison-text.
running the client with "-servercmd /usr/bin/unison-text" works.

I recommend to add the unison alternatives definition also to the unison240-text rpm. 

Installation of unison240-gtk correctly resolves the dependencies.
Comment 5 Fedora Update System 2013-09-10 12:21:05 EDT
unison240-2.40.102-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/unison240-2.40.102-5.el6
Comment 6 Gregor Tätzner 2013-09-10 12:22:44 EDT
(In reply to raimund.huber from comment #4)
> With unison240, unison240-text installed on the server i get a "Fatal error
> Lost connection with the server". Console shows "bash: unison: command not
> found"
> -> reason is unison240-text does not define an unison alias for unison-text.
> running the client with "-servercmd /usr/bin/unison-text" works.

yeah, forgot about that. The new update should do
Comment 7 raimund.huber 2013-09-11 01:51:50 EDT
It is perfect now, thank you.
Comment 8 Fedora Update System 2013-09-11 14:10:17 EDT
Package unison240-2.40.102-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing unison240-2.40.102-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11534/unison240-2.40.102-5.el6
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-10-28 14:42:52 EDT
unison240-2.40.102-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.